Bug 961912 - Review Request: rubygem-mongoid - Elegant Persistance in Ruby for MongoDB
Review Request: rubygem-mongoid - Elegant Persistance in Ruby for MongoDB
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Grimm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 13:45 EDT by Troy Dawson
Modified: 2013-06-14 00:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-mongoid-3.1.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 00:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
agrimm: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-05-10 13:45:57 EDT
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-mongoid.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-mongoid-3.1.3-1.fc20.src.rpm
Description: 
Mongoid is an ODM (Object Document Mapper) 
Framework for MongoDB, written in Ruby.
Fedora Account System Username: tdawson
Comment 1 Troy Dawson 2013-05-10 13:47:23 EDT
RPMLINT OUTPUT:
$ rpmlint rubygem-mongoid.spec rubygem-mongoid-3.1.3-1.fc20.src.rpm rubygem-mongoid-3.1.3-1.fc20.noarch.rpm rubygem-mongoid-doc-3.1.3-1.fc20.noarch.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Andy Grimm 2013-06-03 16:20:07 EDT
Sorry for the delay.  rpmlint output and mock build look fine.  Should have the review completed by tomorrow.
Comment 3 Andy Grimm 2013-06-04 09:10:23 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
  - See below
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
     Note: Using prebuilt rpms
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged. [ 3.1.4 is out, not a blocker ]
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Language ====
[x]: MUST Gem package must not define a non-gem subpackage
[x]: MUST Gem package must exclude cached Gem.
[-]: MUST Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: MUST Gem package is named rubygem-%{gem_name}
[x]: MUST Package contains BuildRequires: rubygems-devel.
[x]: MUST Gem package must define %{gem_name} macro.
[x]: MUST Pure Ruby package must be built as noarch
[x]: MUST Package contains Requires: ruby(release).
[x]: SHOULD Specfile should utilize macros from rubygem-devel package.
[x]: SHOULD Test suite should not be run by rake.
[-]: SHOULD Test suite of the library should be run.


Summary:
The only issue I see is that you may want to bump the version to 3.1.4.  This was released after you posted the review request, though, so certainly not a blocker.

APPROVED
Comment 4 Troy Dawson 2013-06-04 12:13:46 EDT
New Package SCM Request
=======================
Package Name: rubygem-mongoid
Short Description: Elegant Persistance in Ruby for MongoDB
Owners: tdawson
Branches: f19 f18
InitialCC:
Comment 5 Jon Ciesla 2013-06-04 15:25:00 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-05 11:31:16 EDT
rubygem-mongoid-3.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-mongoid-3.1.3-1.fc19
Comment 7 Fedora Update System 2013-06-06 13:29:05 EDT
rubygem-mongoid-3.1.3-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-06-14 00:46:39 EDT
rubygem-mongoid-3.1.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.